@ECHO OFF


REM ############################################################################
REM Folgende Parameter mssen berprft und evtl. angepasst werden.
REM ############################################################################

REM (1) Allgemeine Einstellungen laden.
CALL ..\..\skripte-dosshell\einstellungen.bat

REM (2) Parameter fr den Java-Interpreter, als Standard werden die
REM Einstellungen aus einstellungen.bat verwendet. Kann verwendet werden, wenn
REM (1) nicht funktioniert.
REM SET jvmArgs=-Dfile.encoding=ISO-8859-1
SET jvmArgs=%jvmArgs% -Xmx256m

REM (3) Parameter fr den Datenverteiler, als Standard werden die Einstellungen
REM aus einstellungen.bat verwendet. Kann verwendet werden, wenn (1) nicht
REM funktioniert.
REM SET dav1=-datenverteiler=localhost:8083 -benutzer=Tester -authentifizierung=passwd -debugFilePath=..

REM (4) Bestimmt die zu verwaltende Objekte. Mehrere Objekte knnen durch Komma
REM getrennt angegeben werden. Wird der Parameter nicht angegeben (Standard),
REM werden alle Objekte verwaltet.
REM SET objekte=-objekte=

REM (5) Die maximale Anzahl zu cachende Zyklen von Fuzzy-Werten.
REM (optional, Standard: 2, erlaubt 1 .. 10)
REM maxZyklen=-maxZyklen=2


REM ############################################################################
REM Ab hier muss nichts mehr angepasst werden.
REM ############################################################################

CHCP 1252
TITLE SWE 5.2 - Straensubsegmentanalyse

java %jvmArgs% -jar de.bsvrz.iav.subsegana-runtime.jar ^
	%dav1% ^
	-debugLevelFileText=all ^
	-debugLevelStdErrText=all ^
	-debugSetLoggerAndLevel=:warning ^
	-debugSetLoggerAndLevel=de.bsvrz.iav:config ^
	%objekte%

REM Nach dem Beenden warten, damit Meldungen gelesen werden knnen
PAUSE
